from django.db import models
from django.contrib.auth.models import AbstractUser

class Item(models.Model):
    title = models.CharField('Заголовок',max_length=100)
    short_desc = models.CharField('Краткое описание',max_length=200)
    full_desc = models.TextField('Полное описание')
    price = models.DecimalField('Стоимость',max_digits=5),
    image = models.ImageField('Изображение',upload_to='image/')

    def __str__(self):
        return f'{self.title}'

    class Meta:
        verbose_name = 'Товар'
        verbose_name_plural = 'Товары'

class NewUser(AbstractUser):
    class Meta:
        pass